//
//  GetRoomListResponse.swift
//  SodaLive
//
//  Created by klaus on 2023/08/09.
//

import Foundation

struct GetRoomListResponse: Decodable, Hashable {
    let roomId: Int
    let title: String
    let content: String
    let beginDateTime: String
    let numberOfParticipate: Int
    let numberOfPeople: Int
    let coverImageUrl: String
    let isAdult: Bool
    let price: Int
    let tags: [String]
    let channelName: String?
    let creatorProfileImage: String
    let creatorNickname: String
    let creatorId: Int
    let isReservation: Bool
    let isPrivateRoom: Bool
}
